Bug 1088035 - Use system qtsingleapplication instead of bundled one
Use system qtsingleapplication instead of bundled one
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: goldendict (Show other bugs)
rawhide
All All
unspecified Severity unspecified
: ---
: ---
Assigned To: Howard Ning
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2014-04-15 17:18 EDT by Ville Skyttä
Modified: 2014-12-25 00:36 EST (History)
2 users (show)

See Also:
Fixed In Version: goldendict-1.5-0.6.RC2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-21 01:45:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Use system qtsingleapplication instead of bundled one (2.73 KB, patch)
2014-04-15 17:18 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2014-04-15 17:18:23 EDT
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
https://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries

'git am'able fix attached, build tested only. Let me know if you'd
like me to push and build this for devel.
Comment 1 Ville Skyttä 2014-04-15 17:18:27 EDT
Created attachment 886665 [details]
Use system qtsingleapplication instead of bundled one
Comment 2 Mosaab Alzoubi 2014-04-15 17:42:06 EDT
Can you explain more ?

What patch you can write ?

http://pkgs.fedoraproject.org/cgit/goldendict.git/
Comment 3 Ville Skyttä 2014-04-16 01:50:24 EDT
I'm afraid I don't understand what you're asking. Did you read the content in the links in the initial comment? Did you look at the patch I posted?

Note that Bugzilla's patch viewer has issues displaying nested patch attachments. Click on the link in the "Attachments" box to view it properly:
https://bugzilla.redhat.com/attachment.cgi?id=886665

Download the patch from that link and use "git am" to apply it.
Comment 4 Fedora Update System 2014-12-14 14:31:08 EST
goldendict-1.5-0.5.RC2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/goldendict-1.5-0.5.RC2.fc21
Comment 5 Fedora Update System 2014-12-14 18:57:46 EST
goldendict-1.5-0.6.RC2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/goldendict-1.5-0.6.RC2.fc19
Comment 6 Fedora Update System 2014-12-14 19:02:24 EST
goldendict-1.5-0.6.RC2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/goldendict-1.5-0.6.RC2.fc20
Comment 7 Fedora Update System 2014-12-14 19:02:47 EST
goldendict-1.5-0.6.RC2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/goldendict-1.5-0.6.RC2.fc21
Comment 8 Fedora Update System 2014-12-16 23:44:09 EST
Package goldendict-1.5-0.6.RC2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing goldendict-1.5-0.6.RC2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-17065/goldendict-1.5-0.6.RC2.fc20
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2014-12-21 01:45:25 EST
goldendict-1.5-0.6.RC2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2014-12-25 00:33:30 EST
goldendict-1.5-0.6.RC2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2014-12-25 00:36:05 EST
goldendict-1.5-0.6.RC2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.